Package org.kapott.hbci.sepa.jaxb.camt_052_001_08

# Class OtherIdentification1

java.lang.Object
org.kapott.hbci.sepa.jaxb.camt_052_001_08.OtherIdentification1

public class OtherIdentification1 extends Object

Java class for OtherIdentification1 complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="OtherIdentification1">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="Id" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.08}Max35Text"/>
             <element name="Sfx" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.08}Max16Text" minOccurs="0"/>
             <element name="Tp" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.08}IdentificationSource3Choice"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

## Field Summary

Fields
Modifier and Type
Field
Description
`protected String`
`id`
`protected String`
`sfx`
`protected IdentificationSource3Choice`
`tp`

## Constructor Summary

Constructors
Constructor
Description
`OtherIdentification1()`

## Method Summary

Modifier and Type
Method
Description
`String`
`getId()`
Gets the value of the id property.
`String`
`getSfx()`
Gets the value of the sfx property.
`IdentificationSource3Choice`
`getTp()`
Gets the value of the tp property.
`void`
`setId(String value)`
Sets the value of the id property.
`void`
`setSfx(String value)`
Sets the value of the sfx property.
`void`
`setTp(IdentificationSource3Choice value)`
Sets the value of the tp property.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### id

protected String id

### sfx

protected String sfx

### tp

protected IdentificationSource3Choice tp

## Constructor Details

### OtherIdentification1

public OtherIdentification1()

## Method Details

### getId

public String getId()
Gets the value of the id property.

Returns:
  possible object is `String`

### setId

public void setId(String value)
Sets the value of the id property.

Parameters:
  `value` - allowed object is `String`

### getSfx

public String getSfx()
Gets the value of the sfx property.

Returns:
  possible object is `String`

### setSfx

public void setSfx(String value)
Sets the value of the sfx property.

Parameters:
  `value` - allowed object is `String`

### getTp

public IdentificationSource3Choice getTp()
Gets the value of the tp property.

Returns:
  possible object is `IdentificationSource3Choice`

### setTp

public void setTp(IdentificationSource3Choice value)
Sets the value of the tp property.

Parameters:
  `value` - allowed object is `IdentificationSource3Choice`